import request from '@/utils/request'

// 查询驾校评价列表
export function listEvaluate(query) {
  return request({
    url: '/school/evaluate/list',
    method: 'get',
    params: query
  })
}

// 查询驾校评价详细
export function getEvaluate(id) {
  return request({
    url: '/school/evaluate/' + id,
    method: 'get'
  })
}

// 新增驾校评价
export function addEvaluate(data) {
  return request({
    url: '/school/evaluate',
    method: 'post',
    data: data
  })
}

// 修改驾校评价
export function updateEvaluate(data) {
  return request({
    url: '/school/evaluate',
    method: 'put',
    data: data
  })
}

// 删除驾校评价
export function delEvaluate(id) {
  return request({
    url: '/school/evaluate/' + id,
    method: 'delete'
  })
}

// 导出驾校评价
export function exportEvaluate(query) {
  return request({
    url: '/school/evaluate/export',
    method: 'get',
    params: query
  })
}